#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, m;
    cin >> n >> m;
    long long res = n * m;
    n-=2;
    m-=2;

    if (m % 2 == 0){
        cout << res - (m / 2 * n);
        return 0;
    }
    cout << res - (m / 2 * n + ceil(n/2.0));
}